Botan 1.10.17

Public Member Functions | List of all members
Botan::PK_Ops::Key_Agreement Class Referenceabstract

`#include <pk_ops.h>`

Inheritance diagram for Botan::PK_Ops::Key_Agreement:

## Public Member Functions
virtual SecureVector< byte > | agree (const byte w[], size_t w_len)=0
virtual | ~Key_Agreement ()

## Detailed Description

A generic key agreement Operation (eg DH or ECDH)

Definition at line 145 of file pk_ops.h.

## Constructor & Destructor Documentation

## ◆ ~Key_Agreement()

virtual Botan::PK_Ops::Key_Agreement::~Key_Agreement | ( |  | ) |
| inline virtual

Definition at line 156 of file pk_ops.h.

156 {}

## Member Function Documentation

## ◆ agree()

virtual SecureVector<byte> Botan::PK_Ops::Key_Agreement::agree | ( | const byte | w[],
|  | size_t | w_len
| ) |  |
| pure virtual

Implemented in Botan::ECDH_KA_Operation, and Botan::DH_KA_Operation.

Referenced by Botan::PK_Key_Agreement::derive_key().

The documentation for this class was generated from the following file:

- src/pubkey/pk_ops.h